// openings.cpp : implementation file
//

#include "stdafx.h"
#include "arasan.h"
#include "openings.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// OpeningsPage property page

IMPLEMENT_DYNCREATE(OpeningsPage, CPropertyPage)

OpeningsPage::OpeningsPage() : CPropertyPage(OpeningsPage::IDD)
{
	//{{AFX_DATA_INIT(OpeningsPage)
	m_Style = -1;
	m_BookEnabled = FALSE;
	//}}AFX_DATA_INIT
}

OpeningsPage::~OpeningsPage()
{
}

void OpeningsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(OpeningsPage)
	DDX_Radio(pDX, IDC_BALANCED, m_Style);
	DDX_Check(pDX, IDC_BOOK_ON, m_BookEnabled);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(OpeningsPage, CPropertyPage)
	//{{AFX_MSG_MAP(OpeningsPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// OpeningsPage message handlers
